package stiftUndCo;

/**
@author Georg Dick
@version 22.7.98

 */
public interface Ereignisbearbeitung  
{
  public void bearbeiteAndereEreignisse();
	public void bearbeiteMausBewegt(int pWohinH, int pWohinV);
	public void bearbeiteMausGezogen(int pWohinH, int pWohinV);
	public void bearbeiteMausDruck(int pWoH, int pWoV);
	public void bearbeiteMausDruckRechts(int pWoH, int pWoV);
	public void bearbeiteMausLos(int pWoH, int pWoV);
	public void bearbeiteMausLosRechts(int pWoH, int pWoV);
	public void bearbeiteMausKlick(int pWoH, int pWoV);
	public void bearbeiteSpezialKlick(int pWoH, int pWoV);
	public void bearbeiteTaste(char pZeichen);
	public void bearbeiteFensterBewegt();
  public void bearbeiteFensterNeuGezeichnet();
	public void beenden();
}

